<?xml version="1.0" encoding="utf-8" ?>
<ArrayOfAction xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Action xsi:type="UpgradeDatabaseAction" />
  <Action xsi:type="UpgradeConfigurationAction" />

  <Action xsi:type="UpgradeBlobStorageAction" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" UpgradeTranslations="true" UpgradeTemplates="true" UpgradeConfiguration="true" UpgradeCustomStyles="true" UpgradePartnerSources="true">
    <Files>
      <File maxAge="43200">/Base/Bundles/AdminScripts.min.js</File>
      <File maxAge="43200">/Base/Bundles/Scripts.min.js</File>
      <File maxAge="43200">/Base/Bundles/App.js</File>

      <File maxAge="43200">/Base/Bundles/AdminStyles.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrapNoWrapped.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrap.css</File>
      <File maxAge="43200">/Base/Bundles/Styles.css</File>
      <File maxAge="43200">/Base/Bundles/StylesModules.css</File>
      <File maxAge="43200">/Base/Bundles/EndUserStyles.css</File>

      <File maxAge="43200">/Base/Bundles/AdminStyles.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrapNoWrapped.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrap.min.css</File>
      <File maxAge="43200">/Base/Bundles/Styles.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesModules.min.css</File>
      <File maxAge="43200">/Base/Bundles/EndUserStyles.min.css</File>

			<File maxAge="604800">/Base/fonts/wizdom.eot</File>
			<File maxAge="604800">/Base/fonts/wizdom.svg</File>
			<File maxAge="604800">/Base/fonts/wizdom.ttf</File>
			<File maxAge="604800">/Base/fonts/wizdom.woff</File>
			<File maxAge="604800">/Base/Bundles/font/vjs.woff</File>

			<File maxAge="604800">/Base/Content/font/vjs.woff</File>
			<File maxAge="604800">/Base/Content/font/vjs.eot</File>
			<File maxAge="604800">/Base/Content/font/vjs.svg</File>
			<File maxAge="604800">/Base/Content/font/vjs.ttf</File>


			<File maxAge="604800">/Base/fonts/glyphicons-halflings-regular.woff</File>
			<File maxAge="604800">/Base/fonts/glyphicons-halflings-regular.woff2</File>
			<File maxAge="604800">/Base/fonts/glyphicons-halflings-regular.eot</File>
			<File maxAge="604800">/Base/fonts/glyphicons-halflings-regular.ttf</File>

			<File maxAge="604800">/Base/fonts/glyphicons-regular.woff</File>
			<File maxAge="604800">/Base/fonts/glyphicons-regular.woff2</File>
			<File maxAge="604800">/Base/fonts/glyphicons-regular.eot</File>
			<File maxAge="604800">/Base/fonts/glyphicons-regular.ttf</File>

			<File maxAge="604800">/Modules/Weather/Content/WeatherIcons/01d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/02d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/03d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/04d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/09d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/10d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/11d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/13d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/50d.png</File>
    </Files>
  </Action>

  <!--Should always be as last but before ClearCacheAction-->
  <Action xsi:type="UpgradeSitecollectionsAction" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" />

  <Action xsi:type="ClearCacheAction" />
</ArrayOfAction>